pipeline {

    environment {
        registry = "aminebo/cd-test"
        registryCredential = 'dockerhub'
    }    
    
    agent any 

    stages{ 

        stage('clone repo'){ 
            steps{ 
            	cleanWs()
                git url: 'https://gitlab.com/amine.benomrane/cd-project.git' 
                 
            } 
        } 

        stage('Maven Install') {

            steps {
                sh 'mvn clean install'
            }
        }
        
        stage('Maven package'){
            steps{
                sh 'mvn package'
            }
        }

        stage("mvn docker image push") {
            steps {
                script {
                    
                    sh 'mvn Dockerfile:build'
                    sh 'docker run --rm aminebo/cd-test:1.0.0-SNAPSHOT'
                    sh 'mvn Dockerfile:push'
                }
            }
        }

    } 
}